Subject: Re: [patch net-next] devlink: add format requirement for devlink param names

From: Andrew Lunn <[email-masked]>
Date: Fri, 18 Oct 2019 22:27:48 +0200

On Fri, Oct 18, 2019 at 10:08:22PM +0200, Jiri Pirko wrote:
> Fri, Oct 18, 2019 at 07:43:04PM CEST, [email-masked] wrote:
> >On Fri, Oct 18, 2019 at 06:07:26PM +0200, Jiri Pirko wrote:
> >> From: Jiri Pirko <[email-masked]>
> >> 
> >> Currently, the name format is not required by the code, however it is
> >> required during patch review. All params added until now are in-lined
> >> with the following format:
> >> 1) lowercase characters, digits and underscored are allowed
> >> 2) underscore is neither at the beginning nor at the end and
> >>    there is no more than one in a row.
> >> 
> >> Add checker to the code to require this format from drivers and warn if
> >> they don't follow.
> >
> >Hi Jiri
> >
> >Could you add a reference to where these requirements are derived
> >from. What can go wrong if they are ignored? I assume it is something
> 
> Well, no reference. All existing params, both generic and driver
> specific are following this format. I just wanted to make that required
> so all params are looking similar.
> 
> 
> >to do with sysfs?
> 
> No, why would you think so?

I was not expecting it to be totally arbitrary. I thought you would
have a real technical reason. Spaces often cause problems, as well as
/ etc.

I've had problems with hwmon device names breaking assumptions in the
user space code, etc. I was expecting something like this.

I don't really like the all lower case restriction. It makes it hard
to be consistent. All Marvell Docs refer to the Address Translation
Unit as ATU. I don't think there is any reference to atu. I would
prefer to be consistent with the documentation and use ATU. But that
is against your arbitrary rules.

       Andrew